CSV Injection in Craft CMS



Published: 2021-10-05
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2021-41824
CWE-ID CWE-94
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Craft CMS
Web applications / CMS

Vendor Pixel & Tonic, Inc.

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) CSV injection

EUVDB-ID: #VU57058

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2021-41824

CWE-ID: CWE-94 - Improper Control of Generation of Code ('Code Injection')

Exploit availability: No

Description

The vulnerability allows a remote attacker to inject arbitrary code into CSV files.

The vulnerability exists due to improper input validation. A remote attacker can inject arbitrary code into a CSV file.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Craft CMS: 3.7.0 - 3.7.13


CPE2.3 External links

http://twitter.com/craftcmsupdates/status/1442928690145366018
http://github.com/craftcms/cms/blob/develop/CHANGELOG.md#3714---2021-09-28

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###